Apply the complete authored state from a repository
curl --request POST \
--url https://app.egma.ai/v1/repository/change-set \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"suites": [
{
"id": "<string>",
"name": "<string>"
}
],
"tests": [
{
"clientRef": "<string>",
"suiteId": "<string>",
"name": "<string>",
"description": "<string>",
"scenario": "<string>",
"expectedBehaviors": [
"<string>"
],
"personas": [
"<string>"
],
"mockTools": [
{
"tool": "<string>",
"answer": "<unknown>",
"error": "<unknown>"
}
],
"env": {
"retell_dynamic_variables": {},
"job_dispatch_metadata": {}
},
"expectedVersionId": "<string>",
"expectedRevision": "<string>"
}
]
}
'{
"tests": [
{
"clientRef": "<string>",
"test": {
"id": "<string>",
"projectId": "<string>",
"suiteId": "<string>",
"name": "<string>",
"description": "<string>",
"version": 2,
"versionId": "<string>",
"scenario": "<string>",
"expectedBehaviors": [
"<string>"
],
"personas": [
{
"id": "<string>",
"name": "<string>",
"archivedAt": "2023-11-07T05:31:56Z"
}
],
"mockTools": [
{
"tool": "<string>",
"answer": "<unknown>",
"error": "<unknown>"
}
],
"env": {
"retell_dynamic_variables": {},
"job_dispatch_metadata": {}
},
"revision": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
]
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Repository
Apply the complete authored state from a repository
The complete authored suites and tests are applied atomically. Each test carries its own mock tools and env. Missing resources refuse rather than delete.
POST
/
v1
/
repository
/
change-set
Apply the complete authored state from a repository
curl --request POST \
--url https://app.egma.ai/v1/repository/change-set \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"suites": [
{
"id": "<string>",
"name": "<string>"
}
],
"tests": [
{
"clientRef": "<string>",
"suiteId": "<string>",
"name": "<string>",
"description": "<string>",
"scenario": "<string>",
"expectedBehaviors": [
"<string>"
],
"personas": [
"<string>"
],
"mockTools": [
{
"tool": "<string>",
"answer": "<unknown>",
"error": "<unknown>"
}
],
"env": {
"retell_dynamic_variables": {},
"job_dispatch_metadata": {}
},
"expectedVersionId": "<string>",
"expectedRevision": "<string>"
}
]
}
'{
"tests": [
{
"clientRef": "<string>",
"test": {
"id": "<string>",
"projectId": "<string>",
"suiteId": "<string>",
"name": "<string>",
"description": "<string>",
"version": 2,
"versionId": "<string>",
"scenario": "<string>",
"expectedBehaviors": [
"<string>"
],
"personas": [
{
"id": "<string>",
"name": "<string>",
"archivedAt": "2023-11-07T05:31:56Z"
}
],
"mockTools": [
{
"tool": "<string>",
"answer": "<unknown>",
"error": "<unknown>"
}
],
"env": {
"retell_dynamic_variables": {},
"job_dispatch_metadata": {}
},
"revision": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
]
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Authorizations
bearerAuthsessionCookie
An Egma API key.
Query Parameters
Minimum string length:
1Body
application/json
Response
The tests after the change set was applied.
Show child attributes
Show child attributes